OpenTTD Source: NewsSettings Struct Reference

OpenTTD Source 15.0-RC2

Data Fields
NewsSettings Struct Reference

Settings related to news. More...

`#include <settings_type.h>`

## Data Fields
uint8_t | arrival_player
| NewsDisplay of vehicles arriving at new stations of current player.
uint8_t | arrival_other
| NewsDisplay of vehicles arriving at new stations of other players.
uint8_t | accident
| NewsDisplay of accidents that occur.
uint8_t | accident_other
| NewsDisplay if a vehicle from another company is involved in an accident.
uint8_t | company_info
| NewsDisplay of general company information.
uint8_t | open
| NewsDisplay on new industry constructions.
uint8_t | close
| NewsDisplay about closing industries.
uint8_t | economy
| NewsDisplay on economical changes.
uint8_t | production_player
| NewsDisplay of production changes of industries affecting current player.
uint8_t | production_other
| NewsDisplay of production changes of industries affecting competitors.
uint8_t | production_nobody
| NewsDisplay of production changes of industries affecting no one.
uint8_t | advice
| NewsDisplay on advice affecting the player's vehicles.
uint8_t | new_vehicles
| NewsDisplay of new vehicles becoming available.
uint8_t | acceptance
| NewsDisplay on changes affecting the acceptance of cargo at stations.
uint8_t | subsidies
| NewsDisplay of changes on subsidies.
uint8_t | general
| NewsDisplay of other topics.

## Detailed Description

Settings related to news.

Definition at line 309 of file settings_type.h.

## Field Documentation

## ◆ acceptance

uint8_t NewsSettings::acceptance

NewsDisplay on changes affecting the acceptance of cargo at stations.

Definition at line 323 of file settings_type.h.

## ◆ accident

uint8_t NewsSettings::accident

NewsDisplay of accidents that occur.

Definition at line 312 of file settings_type.h.

## ◆ accident_other

uint8_t NewsSettings::accident_other

NewsDisplay if a vehicle from another company is involved in an accident.

Definition at line 313 of file settings_type.h.

## ◆ advice

uint8_t NewsSettings::advice

NewsDisplay on advice affecting the player's vehicles.

Definition at line 321 of file settings_type.h.

## ◆ arrival_other

uint8_t NewsSettings::arrival_other

NewsDisplay of vehicles arriving at new stations of other players.

Definition at line 311 of file settings_type.h.

## ◆ arrival_player

uint8_t NewsSettings::arrival_player

NewsDisplay of vehicles arriving at new stations of current player.

Definition at line 310 of file settings_type.h.

## ◆ close

uint8_t NewsSettings::close

NewsDisplay about closing industries.

Definition at line 316 of file settings_type.h.

## ◆ company_info

uint8_t NewsSettings::company_info

NewsDisplay of general company information.

Definition at line 314 of file settings_type.h.

## ◆ economy

uint8_t NewsSettings::economy

NewsDisplay on economical changes.

Definition at line 317 of file settings_type.h.

## ◆ general

uint8_t NewsSettings::general

NewsDisplay of other topics.

Definition at line 325 of file settings_type.h.

## ◆ new_vehicles

uint8_t NewsSettings::new_vehicles

NewsDisplay of new vehicles becoming available.

Definition at line 322 of file settings_type.h.

## ◆ open

uint8_t NewsSettings::open

NewsDisplay on new industry constructions.

Definition at line 315 of file settings_type.h.

## ◆ production_nobody

uint8_t NewsSettings::production_nobody

NewsDisplay of production changes of industries affecting no one.

Definition at line 320 of file settings_type.h.

## ◆ production_other

uint8_t NewsSettings::production_other

NewsDisplay of production changes of industries affecting competitors.

Definition at line 319 of file settings_type.h.

## ◆ production_player

uint8_t NewsSettings::production_player

NewsDisplay of production changes of industries affecting current player.

Definition at line 318 of file settings_type.h.

## ◆ subsidies

uint8_t NewsSettings::subsidies

NewsDisplay of changes on subsidies.

Definition at line 324 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h